Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.ant
Class StatCvsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.statcvs.ant.StatCvsTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class StatCvsTask

extends org.apache.tools.ant.Task

Ant task for running statcvs.

Author:
  Andy Glover, Richard Cyganiak

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`StatCvsTask()` Constructor for StatCvsTask.

Method Summary
`void` | `execute()` Runs the task
`protected void` | `initProperties()` method initializes the ConfigurationOptions object with received values.
`void` | `setBugzilla(java.lang.String bugzilla)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setChora(java.lang.String chora)`
`void` | `setConfigFile(java.lang.String configFile)`
`void` | `setCss(java.lang.String cssFile)`
`void` | `setCvsweb(java.lang.String cvsweb)`
`void` | `setDisableTwitterButton(boolean disableTwitterButton)`
`void` | `setExclude(java.lang.String exclude)` Specifies files to exclude from the analysis.
`void` | `setFormat(java.lang.String format)`
`void` | `setInclude(java.lang.String include)` Specifies files to include in the analysis.
`void` | `setJCVSWeb(java.lang.String jcvsweb)`
`void` | `setLog(java.lang.String logFile)`
`void` | `setMantis(java.lang.String mantis)`
`void` | `setNoDeveloper(java.lang.String nonDeveloperLogin)` TODO: This supports just a single value, but should support multiple login names -- how?
`void` | `setNotes(java.lang.String notesFile)`
`void` | `setOutputDir(java.lang.String outDir)`
`void` | `setPath(java.lang.String modDir)`
`void` | `setTags(java.lang.String tags)` Specifies regular expression to include tag to lines of code graph.
`void` | `setTitle(java.lang.String title)`
`void` | `setViewCVS(java.lang.String viewcvs)`
`void` | `setViewVC(java.lang.String viewvc)`
`void` | `setXDoc(boolean generateXDoc)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatCvsTask

    public StatCvsTask()

  Constructor for StatCvsTask.

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Runs the task

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException` - if an IO Error occurs

### initProperties

    protected void initProperties()
                           throws ConfigurationException

  method initializes the ConfigurationOptions object with received values.

  Throws:
    `ConfigurationException`

### setLog

    public void setLog(java.lang.String logFile)

  Parameters:
    `logFile` - String representing the cvs log file

### setPath

    public void setPath(java.lang.String modDir)

  Parameters:
    `modDir` - String representing the directory containing the CVS project

### setOutputDir

    public void setOutputDir(java.lang.String outDir)

  Parameters:
    `outDir` - String representing the output directory of the report

### setInclude

    public void setInclude(java.lang.String include)

  Specifies files to include in the analysis.

  Parameters:
    `include` - a list of Ant-style wildcard patterns, delimited by : or ;
  See Also:
    `FilePatternMatcher`

### setExclude

    public void setExclude(java.lang.String exclude)

  Specifies files to exclude from the analysis.

  Parameters:
    `exclude` - a list of Ant-style wildcard patterns, delimited by : or ;
  See Also:
    `FilePatternMatcher`

### setTags

    public void setTags(java.lang.String tags)

  Specifies regular expression to include tag to lines of code graph.

  Parameters:
    `tags` - regular expression to included tags names.

### setTitle

    public void setTitle(java.lang.String title)

  Parameters:
    `title` - String representing the title to be used in the reports

### setCss

    public void setCss(java.lang.String cssFile)

  Parameters:
    `cssFile` - String representing the CSS file to use for the report

### setNotes

    public void setNotes(java.lang.String notesFile)

  Parameters:
    `notesFile` - String representing the notes file to include on the report's index page

### setViewCVS

    public void setViewCVS(java.lang.String viewcvs)

  Parameters:
    `viewcvs` - String representing the URL of a ViewCVS installation

### setViewVC

    public void setViewVC(java.lang.String viewvc)

  Parameters:
    `viewvc` - String representing the URL of a ViewVC installation

### setCvsweb

    public void setCvsweb(java.lang.String cvsweb)

  Parameters:
    `cvsweb` - String representing the URL of a cvsweb installation

### setChora

    public void setChora(java.lang.String chora)

  Parameters:
    `chora` - String representing the URL of a Chora installation

### setJCVSWeb

    public void setJCVSWeb(java.lang.String jcvsweb)

  Parameters:
    `jcvsweb` - String representing the URL of a JCVSWeb installation

### setBugzilla

    public void setBugzilla(java.lang.String bugzilla)

  Parameters:
    `bugzilla` - String representing the URL of a Bugzilla installation

### setMantis

    public void setMantis(java.lang.String mantis)

  Parameters:
    `mantis` - String representing the URL of a Mantis installation

### setXDoc

    public void setXDoc(boolean generateXDoc)

  Parameters:
    `generateXDoc` - Generate XDoc or HTML?

### setFormat

    public void setFormat(java.lang.String format)

  Parameters:
    `format` - "`xdoc`" or "`html`"

### setNoDeveloper

    public void setNoDeveloper(java.lang.String nonDeveloperLogin)

  TODO: This supports just a single value, but should support multiple login names -- how?

  Parameters:
    `nonDeveloperLogin` - A login name to be excluded from developer lists

### setCharset

    public void setCharset(java.lang.String charset)

### setConfigFile

    public void setConfigFile(java.lang.String configFile)

### setDisableTwitterButton

    public void setDisableTwitterButton(boolean disableTwitterButton)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD